kio Library: KDataToolInfo Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDataToolInfo Class Reference

This is a convenience class for KService. More...

`#include <kdatatool.h>`

Collaboration diagram for KDataToolInfo:

[legend]
List of all members.

## Public Member Functions
| KDataToolInfo ()
| KDataToolInfo (const KService::Ptr &service, KInstance *instance)
| KDataToolInfo (const KDataToolInfo &info)
KDataToolInfo & | operator= (const KDataToolInfo &info)
QString | dataType () const
QStringList | mimeTypes () const
bool | isReadOnly () const
QPixmap | icon () const KDE_DEPRECATED
QPixmap | miniIcon () const KDE_DEPRECATED
QString | iconName () const
QStringList | userCommands () const
QStringList | commands () const
KDataTool * | createTool (QObject *parent=0, const char *name=0) const
KService::Ptr | service () const
KInstance * | instance () const
bool | isValid () const
## Static Public Member Functions
static QValueList< KDataToolInfo > | query (const QString &datatype, const QString &mimetype, KInstance *instance)

## Detailed Description

This is a convenience class for KService.

You can use it if you have a KService describing a KDataTool. In this case the KDataToolInfo class is more convenient to work with.

Especially useful is the method createTool which creates the datatool described by the service.

See also:
  KDataTool

Definition at line 47 of file kdatatool.h.

## Constructor & Destructor Documentation

KDataToolInfo::KDataToolInfo | ( |  | ) |

| Create an invalid KDataToolInfo. Definition at line 38 of file kdatatool.cpp. Referenced by query().

KDataToolInfo::KDataToolInfo | ( | const KService::Ptr & | service,
|  | KInstance * | instance
| ) |

  | Create a valid KDataToolInfo. Parameters:
  | service | the corresponding service
  | instance | the instance to use
Definition at line 43 of file kdatatool.cpp. References endl(), instance(), kdDebug(), and service().

KDataToolInfo::KDataToolInfo | ( | const KDataToolInfo & | info | ) |

| Copy constructor. Definition at line 56 of file kdatatool.cpp.

## Member Function Documentation

KDataToolInfo & KDataToolInfo::operator= | ( | const KDataToolInfo & | info | ) |

| Assignment operator. Definition at line 62 of file kdatatool.cpp.

QString KDataToolInfo::dataType | ( |  | ) | const

| Returns the data type that the DataTool can accept. Returns: the C++ data type that this DataTool accepts. For example "QString" or "QImage" or something more complicated. Definition at line 69 of file kdatatool.cpp.

QStringList KDataToolInfo::mimeTypes | ( |  | ) | const

| Returns a list of mime type that will be accepted by the DataTool. The mimetypes are only used if the dataType can be used to store different mimetypes. For example in a "QString" you could save "text/plain" or "text/html" or "text/xml". Returns: the mime types accepted by this DataTool. For example "image/gif" or "text/plain". In some cases the dataType determines the accepted type of data perfectly. In this cases this list may be empty. Definition at line 77 of file kdatatool.cpp.

bool KDataToolInfo::isReadOnly | ( |  | ) | const

| Checks whether the DataTool is read-only. Returns: true if the DataTool does not modify the data passed to it by KDataTool::run. Definition at line 85 of file kdatatool.cpp.

QPixmap KDataToolInfo::icon | ( |  | ) | const

| Returns the icon of this data tool. Returns: a large pixmap for the DataTool. Deprecated: , use iconName() Definition at line 93 of file kdatatool.cpp. References KGlobal::dirs(), QPixmap::load(), and KStandardDirs::resourceDirs().

QPixmap KDataToolInfo::miniIcon | ( |  | ) | const

| Returns the mini icon of this data tool. Returns: a mini pixmap for the DataTool. Deprecated: , use iconName() Definition at line 107 of file kdatatool.cpp. References KGlobal::dirs(), QPixmap::load(), and KStandardDirs::resourceDirs().

QString KDataToolInfo::iconName | ( |  | ) | const

| Returns the icon name for this DataTool. Returns: the name of the icon for the DataTool Definition at line 121 of file kdatatool.cpp.

QStringList KDataToolInfo::userCommands | ( |  | ) | const

| Returns a list of strings that you can put in a QPopupMenu item, for example to offer the DataTools services to the user. The returned value is usually something like "Spell checking", "Shrink Image", "Rotate Image" or something like that. This list comes from the Comment field of the tool's desktop file (so that it can be translated). Each of the strings returned corresponds to a string in the list returned by commands. Returns: a list of strings that you can put in a QPopupMenu item Definition at line 136 of file kdatatool.cpp. References QStringList::split().

QStringList KDataToolInfo::commands | ( |  | ) | const

| Returns the list of commands the DataTool can execute. The application passes the command to the KDataTool::run method. This list comes from the Commands field of the tool's desktop file. Each of the strings returned corresponds to a string in the list returned by userCommands. Returns: the list of commands the DataTool can execute, suitable for the KDataTool::run method. Definition at line 128 of file kdatatool.cpp.

KDataTool * KDataToolInfo::createTool | ( | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) | const

  | Creates the data tool described by this KDataToolInfo. Parameters:
  | parent | the parent of the QObject (or 0 for parent-less KDataTools)
  | name | the name of the QObject, can be 0
Returns: a pointer to the created data tool or 0 on error. Definition at line 144 of file kdatatool.cpp. References KLibFactory::create(), KLibLoader::factory(), QObject::inherits(), KLibLoader::self(), and KDataTool::setInstance().

KService::Ptr KDataToolInfo::service | ( |  | ) | const

| The KDataToolInfo's service that is represented by this class. Returns: the service Definition at line 165 of file kdatatool.cpp. Referenced by KDataToolInfo().

KInstance* KDataToolInfo::instance | ( |  | ) | const`[inline]`

| The instance of the service. Returns: the instance Definition at line 157 of file kdatatool.h. Referenced by KDataToolInfo(), and query().

bool KDataToolInfo::isValid | ( |  | ) | const

| A DataToolInfo may be invalid if the KService passed to its constructor does not feature the service type "KDataTool". Returns: true if valid, false otherwise Definition at line 216 of file kdatatool.cpp.

QValueList< KDataToolInfo > KDataToolInfo::query | ( | const QString & | datatype,
|  | const QString & | mimetype,
|  | KInstance * | instance
| ) | `[static]`

  | Queries the KTrader about installed KDataTool implementations. Parameters:
  | datatype | a type that the application can 'export' to the tools (e.g. QString)
  | mimetype | the mimetype of the data (e.g. text/plain)
  | instance | the application (or the part)'s instance (to check if a tool is excluded from this part, and also used if the tool wants to read its configuration in the app's config file).
Returns: the list of results Definition at line 170 of file kdatatool.cpp. References QValueList::append(), QString::arg(), QValueList::begin(), QValueList::end(), endl(), QString::fromLatin1(), instance(), KInstance::instanceName(), QString::isEmpty(), KDataToolInfo(), kdDebug(), KTrader::query(), and KTrader::self().

The documentation for this class was generated from the following files:

- kdatatool.h
- kdatatool.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:23 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003